import React, { FC, ReactElement } from 'react';
import { ViewStyle } from 'react-native';
import { PageProps } from './Page';
import { PaginationProps } from './Pagination';
import { ContinueButtonProps } from './components/ContinueButton';
import { FooterProps } from './Footer';
import { SecondaryButtonProps } from './components/SecondaryButton';
export type PageType = string;
export type OnboardPageConfigParams<Props> = {
    pageProps: PageProps;
    props: Props;
};
export interface PageData {
    title?: string;
    subtitle?: string;
    imageUri?: string;
    imageComponent?: ReactElement;
    props?: any;
    type?: PageType;
}
export type OnboardPageTypesConfig = {
    [key: string]: (params: OnboardPageConfigParams<any>) => React.ReactNode;
};
interface OnboardFlowProps {
    pageTypes?: OnboardPageTypesConfig;
    style?: ViewStyle;
    pageStyle?: ViewStyle;
    titleStyle?: ViewStyle;
    subtitleStyle?: ViewStyle;
    onBack?: () => void;
    onNext?: () => void;
    onDone?: () => void;
    pages?: PageData[];
    fullscreenModal?: boolean;
    backgroundImage?: string;
    paginationSelectedColor?: string;
    paginationColor?: string;
    textAlign?: 'left' | 'center' | 'right';
    ContinueButtonComponent?: FC<ContinueButtonProps>;
    SecondaryButtonComponent?: FC<SecondaryButtonProps>;
    PaginationComponent?: FC<PaginationProps>;
    FooterComponent?: FC<FooterProps>;
}
export interface OnboardComponents {
    ContinueButtonComponent: FC<ContinueButtonProps>;
    SecondaryButtonComponent: FC<SecondaryButtonProps>;
    PaginationComponent: FC<PaginationProps>;
}
export declare const OnboardFlow: FC<OnboardFlowProps>;
export {};
